Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stdlevvar_mod.F90	(revision 5099)
@@ -1,8 +1,8 @@
-!
+
 MODULE stdlevvar_mod
-!
+
 ! This module contains main procedures for calculation
 ! of temperature, specific humidity and wind at a reference level
-!
+
   USE cdrag_mod
   USE screenp_mod
@@ -11,9 +11,9 @@
 
 CONTAINS
-!
+
 !****************************************************************************************
-!
+
 !r original routine svn3623
-!
+
       SUBROUTINE stdlevvar(klon, knon, nsrf, zxli, &
                            u1, v1, t1, q1, z1, &
@@ -22,17 +22,17 @@
       IMPLICIT NONE
 !-------------------------------------------------------------------------
-!
+
 ! Objet : calcul de la temperature et l'humidite relative a 2m et du 
 !         module du vent a 10m a partir des relations de Dyer-Businger et
 !         des equations de Louis.
-!
+
 ! Reference : Hess, Colman et McAvaney (1995)        
-!
+
 ! I. Musat, 01.07.2002
-!
+
 !AM On rajoute en sortie t et q a 10m pr le calcule d'hbtm2 dans clmain
-!
+
 !-------------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -49,5 +49,5 @@
 ! psol----input-R- pression au sol
 ! pat1----input-R- pression au 1er niveau du modele
-!
+
 ! t_2m---output-R- temperature de l'air a 2m
 ! q_2m---output-R- humidite relative a 2m
@@ -57,5 +57,5 @@
 ! q_10m--output-R- humidite specifique a 10m
 ! ustar--output-R- u*
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       LOGICAL, intent(in) :: zxli
@@ -64,5 +64,5 @@
       REAL, dimension(klon), intent(inout) :: z0m, z0h
       REAL, dimension(klon), intent(in) :: psol, pat1
-!
+
       REAL, dimension(klon), intent(out) :: t_2m, q_2m, ustar
       REAL, dimension(klon), intent(out) :: u_10m, t_10m, q_10m
@@ -75,7 +75,7 @@
 !IM PLUS
       include "YOETHF.h"
-!
+
 ! Quelques constantes et options:
-!
+
 ! RKAR : constante de von Karman
       REAL, PARAMETER :: RKAR=0.40
@@ -83,5 +83,5 @@
 !     INTEGER, parameter :: niter=6, ncon=niter-1
       INTEGER, parameter :: niter=2, ncon=niter-1
-!
+
 ! Variables locales
       INTEGER :: i, n
@@ -114,5 +114,5 @@
        ri1(i) = 0.0
       ENDDO
-!
+
       okri=.FALSE.
 !      CALL coefcdrag(klon, knon, nsrf, zxli, &
@@ -136,7 +136,7 @@
       ENDDO
      ENDIF
-!
+
 !---------Star variables----------------------------------------------------
-!
+
       DO i = 1, knon
         ri1(i) = zri1(i)
@@ -145,9 +145,9 @@
         zdte(i) = tpot(i) - ts1(i)
         zdq(i) = max(q1(i),0.0) - max(qsurf(i),0.0)
-!
-!
+
+
 !IM BUG BUG BUG       zdte(i) = max(zdte(i),1.e-10)
         zdte(i) = sign(max(abs(zdte(i)),1.e-10),zdte(i))
-!
+
         testar(i) = (cdrah(i) * zdte(i) * speed(i))/ustar(i)
         qstar(i) = (cdrah(i) * zdq(i) * speed(i))/ustar(i)
@@ -155,5 +155,5 @@
                   (RKAR * RG * testar(i))
       ENDDO
-!
+
 !----------First aproximation of variables at zref --------------------------
       zref = 2.0
@@ -162,5 +162,5 @@
                    ustar, testar, qstar, zref, &
                    delu, delte, delq)
-!
+
       DO i = 1, knon
         u_zref(i) = delu(i)
@@ -172,9 +172,9 @@
         temp_p(i) = temp(i)
       ENDDO
-!
+
 ! Iteration of the variables at the reference level zref : corrector calculation ; see Hess & McAvaney, 1995 
-!
+
       DO n = 1, niter
-!
+
         okri=.TRUE.
         CALL screenc(klon, knon, nsrf, zxli, &
@@ -183,16 +183,16 @@
                      ustar, testar, qstar, okri, ri1, &
                      pref, delu, delte, delq, s_pblh ,prain, tsol, pat1)
-!
+
         DO i = 1, knon
           u_zref(i) = delu(i)
           q_zref(i) = delq(i) + max(qsurf(i),0.0)
           te_zref(i) = delte(i) + ts1(i) 
-!
+
 ! return to normal temperature
-!
+
           temp(i) = te_zref(i) * (psol(i)/pref(i))**(-RKAPPA)
 !         temp(i) = te_zref(i) - (zref* RG)/RCPD/ &
 !                 (1 + RVTMP2 * max(q_zref(i),0.0))
-!
+
 !IM +++
 !         IF(temp(i).GT.350.) THEN
@@ -200,16 +200,16 @@
 !         ENDIF
 !IM ---
-!
+
         IF(n==ncon) THEN
           te_zref_con(i) = te_zref(i)
           q_zref_con(i) = q_zref(i)
         ENDIF 
-!
+
         ENDDO 
-!
+
       ENDDO 
-!
+
 ! verifier le critere de convergence : 0.25% pour te_zref et 5% pour qe_zref
-!
+
 !       DO i = 1, knon
 !         conv_te(i) = (te_zref(i) - te_zref_con(i))/te_zref_con(i)
@@ -222,9 +222,9 @@
 !IM ---
 !       ENDDO
-!
+
       DO i = 1, knon
         q_zref_c(i) = q_zref(i)
         temp_c(i) = temp(i)
-!
+
 !       IF(zri1(i).LT.0.) THEN
 !         IF(nsrf.EQ.1) THEN
@@ -239,8 +239,8 @@
 !         ok_corr(i)=1.
 !       ENDIF
-!
+
         ok_pred(i)=0.
         ok_corr(i)=1.
-!
+
         t_2m(i) = temp_p(i) * ok_pred(i) + temp_c(i) * ok_corr(i)
         q_2m(i) = q_zref_p(i) * ok_pred(i) + q_zref_c(i) * ok_corr(i)
@@ -255,8 +255,8 @@
 !IM ---
       ENDDO
-!
-!
+
+
 !----------First aproximation of variables at zref --------------------------
-!
+
       zref = 10.0
       CALL screenp(klon, knon, nsrf, speed, tpot, q1, &
@@ -264,5 +264,5 @@
                    ustar, testar, qstar, zref, &
                    delu, delte, delq)
-!
+
       DO i = 1, knon
         u_zref(i) = delu(i)
@@ -274,9 +274,9 @@
         u_zref_p(i) = u_zref(i)
       ENDDO
-!
+
 ! Iteration of the variables at the reference level zref : corrector ; see Hess & McAvaney, 1995 
-!
+
       DO n = 1, niter
-!
+
         okri=.TRUE.
         CALL screenc(klon, knon, nsrf, zxli, &
@@ -285,5 +285,5 @@
                      ustar, testar, qstar, okri, ri1, &
                      pref, delu, delte, delq, s_pblh ,prain, tsol, pat1)
-!
+
         DO i = 1, knon
           u_zref(i) = delu(i)
@@ -294,12 +294,12 @@
 !                   (1 + RVTMP2 * max(q_zref(i),0.0))
         ENDDO 
-!
-      ENDDO
-!
+
+      ENDDO
+
       DO i = 1, knon
         u_zref_c(i) = u_zref(i)
-!
+
         u_10m(i) = u_zref_p(i) * ok_pred(i) + u_zref_c(i) * ok_corr(i)
-!
+
 !AM
         q_zref_c(i) = q_zref(i)
@@ -309,8 +309,8 @@
 !MA
       ENDDO
-! 
+
       RETURN
       END subroutine stdlevvar
-!
+
       SUBROUTINE stdlevvarn(klon, knon, nsrf, zxli, &
                            u1, v1, t1, q1, z1, &
@@ -318,21 +318,21 @@
                            t_2m, q_2m, t_10m, q_10m, u_10m, ustar, &
                            n2mout)
-!
+
       USE ioipsl_getin_p_mod, ONLY : getin_p
       IMPLICIT NONE
 !-------------------------------------------------------------------------
-!
+
 ! Objet : calcul de la temperature et l'humidite relative a 2m et du 
 !         module du vent a 10m a partir des relations de Dyer-Businger et
 !         des equations de Louis.
-!
+
 ! Reference : Hess, Colman et McAvaney (1995)        
-!
+
 ! I. Musat, 01.07.2002
-!
+
 !AM On rajoute en sortie t et q a 10m pr le calcule d'hbtm2 dans clmain
-!
+
 !-------------------------------------------------------------------------
-!
+
 ! klon----input-I- dimension de la grille physique (= nb_pts_latitude X nb_pts_longitude)
 ! knon----input-I- nombre de points pour un type de surface
@@ -349,5 +349,5 @@
 ! psol----input-R- pression au sol
 ! pat1----input-R- pression au 1er niveau du modele
-!
+
 ! t_2m---output-R- temperature de l'air a 2m
 ! q_2m---output-R- humidite relative a 2m
@@ -358,5 +358,5 @@
 ! t_10m--output-R- temperature de l'air a 10m
 ! q_10m--output-R- humidite specifique a 10m
-!
+
       INTEGER, intent(in) :: klon, knon, nsrf
       LOGICAL, intent(in) :: zxli
@@ -365,9 +365,9 @@
       REAL, dimension(klon), intent(in) :: qsurf
       REAL, dimension(klon), intent(in) :: psol, pat1
-!
+
       REAL, dimension(klon), intent(out) :: t_2m, q_2m, ustar
       REAL, dimension(klon), intent(out) :: u_10m, t_10m, q_10m
       INTEGER, dimension(klon, 6), intent(out) :: n2mout
-!
+
       REAL, dimension(klon) :: u_2m
       REAL, dimension(klon) :: cdrm2m, cdrh2m, ri2m
@@ -384,7 +384,7 @@
 !IM PLUS
       include "YOETHF.h"
-!
+
 ! Quelques constantes et options:
-!
+
 ! RKAR : constante de von Karman
       REAL, PARAMETER :: RKAR=0.40
@@ -394,5 +394,5 @@
       INTEGER, parameter :: niter=2, ncon=niter
 !     INTEGER, parameter :: niter=6, ncon=niter
-!
+
 ! Variables locales
       INTEGER :: i, n
@@ -419,5 +419,5 @@
       REAL, dimension(klon) :: u_zref_c, te_zref_c, temp_c, q_zref_c
       REAL, dimension(klon) :: ok_pred, ok_corr
-!
+
       REAL, dimension(klon) :: cdrm10m, cdrh10m, ri10m
       REAL, dimension(klon) :: cdmn10m, cdhn10m, fm10m, fh10m
@@ -435,10 +435,10 @@
 !------------------------------------------------------------------------- 
       CEPDUE=0.1
-!
+
 ! n2mout : compteur des pas de temps ou t2m,q2m ou u2m sont en dehors des intervalles
 !          [tsurf, temp], [qsurf, q1] ou [0, speed]
 ! n10mout : compteur des pas de temps ou t10m,q10m ou u10m sont en dehors des intervalles
 !          [tsurf, temp], [qsurf, q1] ou [0, speed]
-!
+
       n2mout(:,:)=0
       n10mout(:,:)=0
@@ -448,5 +448,5 @@
        ri1(i) = 0.0
       ENDDO
-!
+
       okri=.FALSE.
       CALL cdrag(knon, nsrf, &
@@ -456,5 +456,4 @@
                      cdram, cdrah, zri1, pref, prain, tsol, pat1)
 
-!
       DO i = 1, knon
         ri1(i) = zri1(i)
@@ -462,13 +461,13 @@
         zdu2 = MAX(CEPDUE*CEPDUE, speed(i)**2)
         ustar(i) = sqrt(cdram(i) * zdu2)
-!
-      ENDDO
-!
+
+      ENDDO
+
 !----------First aproximation of variables at zref --------------------------
       zref = 2.0
-!
+
 ! calcul first-guess en utilisant dans les calculs à 2m
 ! le Richardson de la premiere couche atmospherique 
-!
+
        CALL screencn(klon, knon, nsrf, zxli, &
                      speed, tpot, q1, zref, &
@@ -478,5 +477,5 @@
                      pref_new, delm_new, delh_new, ri2m, &
                      s_pblh, prain, tsol, pat1      )
-!
+
        DO i = 1, knon
          u_zref(i) = delm_new(i)*speed(i)
@@ -487,11 +486,11 @@
          te_zref(i) = delh_new(i)*tpot(i) + ts1(i)*(1-delh_new(i))
          te_zref_p(i) = te_zref(i)
-!
+
 ! return to normal temperature
          temp(i) = te_zref(i) * (psol(i)/pref_new(i))**(-RKAPPA)
          temp_p(i) = temp(i)
-!
+
 ! compteurs ici
-!
+
          ok_t2m_toosmall(i)=te_zref(i)<tpot(i).AND. &
    te_zref(i)<ts1(i)
@@ -503,5 +502,5 @@
    q_zref(i)>qsurf(i)
          ok_u2m_toobig(i)=u_zref(i)>speed(i)
-!
+
          IF(ok_t2m_toosmall(i).OR.ok_t2m_toobig(i)) THEN
              n2mout(i,1)=n2mout(i,1)+1
@@ -513,5 +512,5 @@
              n2mout(i,5)=n2mout(i,5)+1
          ENDIF
-!
+
          IF(ok_t2m_toosmall(i).OR.ok_t2m_toobig(i).OR. &
    ok_q2m_toosmall(i).OR.ok_q2m_toobig(i).OR. &
@@ -526,16 +525,16 @@
              te_zref(i) = delh_new(i)*tpot(i) + ts1(i)*(1-delh_new(i))
              te_zref_p(i) = te_zref(i)
-!
+
 ! return to normal temperature
              temp(i) = te_zref(i) * (psol(i)/pref_new(i))**(-RKAPPA)
              temp_p(i) = temp(i)
          ENDIF 
-!
+
        ENDDO
-!
+
 ! Iteration of the variables at the reference level zref : corrector calculation ; see Hess & McAvaney, 1995 
-!
+
       DO n = 1, niter
-!
+
         okri=.TRUE.
         CALL screencn(klon, knon, nsrf, zxli, &
@@ -546,5 +545,5 @@
                      pref, delm, delh, ri2m, &
                      s_pblh, prain, tsol, pat1      )
-!
+
         DO i = 1, knon
           u_zref(i) = delm(i)*speed(i)
@@ -552,10 +551,10 @@
              max(qsurf(i),0.0)*(1-delh(i))
           te_zref(i) = delh(i)*tpot(i) + ts1(i)*(1-delh(i))
-!
+
 ! return to normal temperature
           temp(i) = te_zref(i) * (psol(i)/pref(i))**(-RKAPPA)
-!
+
 ! compteurs ici
-!
+
           ok_t2m_toosmall(i)=te_zref(i)<tpot(i).AND. &
    te_zref(i)<ts1(i)
@@ -567,5 +566,5 @@
    q_zref(i)>qsurf(i)
           ok_u2m_toobig(i)=u_zref(i)>speed(i)
-!
+
           IF(ok_t2m_toosmall(i).OR.ok_t2m_toobig(i)) THEN
               n2mout(i,2)=n2mout(i,2)+1
@@ -577,5 +576,5 @@
               n2mout(i,6)=n2mout(i,6)+1
           ENDIF
-!
+
           IF(ok_t2m_toosmall(i).OR.ok_t2m_toobig(i).OR. &
    ok_q2m_toosmall(i).OR.ok_q2m_toobig(i).OR. &
@@ -589,34 +588,34 @@
               temp(i) = te_zref(i) * (psol(i)/pref(i))**(-RKAPPA)
           ENDIF
-!
-!
+
+
           IF(n==ncon) THEN
             te_zref_con(i) = te_zref(i)
             q_zref_con(i) = q_zref(i)
           ENDIF 
-!
+
         ENDDO 
-!
+
       ENDDO 
-!
+
       DO i = 1, knon
         q_zref_c(i) = q_zref(i)
         temp_c(i) = temp(i)
-!
+
         ok_pred(i)=0.
         ok_corr(i)=1.
-!
+
         t_2m(i) = temp_p(i) * ok_pred(i) + temp_c(i) * ok_corr(i)
         q_2m(i) = q_zref_p(i) * ok_pred(i) + q_zref_c(i) * ok_corr(i)
-!
+
         u_zref_c(i) = u_zref(i)
         u_2m(i) = u_zref_p(i) * ok_pred(i) + u_zref_c(i) * ok_corr(i)
       ENDDO
-!
-!
+
+
 !----------First aproximation of variables at zref --------------------------
-!
+
       zref = 10.0
-!
+
        CALL screencn(klon, knon, nsrf, zxli, &
                      speed, tpot, q1, zref, &
@@ -626,5 +625,5 @@
                      pref_new, delm_new, delh_new, ri10m, &
                      s_pblh, prain, tsol, pat1      )
-!
+
        DO i = 1, knon
          u_zref(i) = delm_new(i)*speed(i)
@@ -634,7 +633,7 @@
          temp(i) = te_zref(i) * (psol(i)/pref_new(i))**(-RKAPPA)
          u_zref_p(i) = u_zref(i)
-!
+
 ! compteurs ici
-!
+
          ok_t10m_toosmall(i)=te_zref(i)<tpot(i).AND. &
    te_zref(i)<ts1(i)
@@ -646,5 +645,5 @@
    q_zref(i)>qsurf(i)
          ok_u10m_toobig(i)=u_zref(i)>speed(i)
-!
+
          IF(ok_t10m_toosmall(i).OR.ok_t10m_toobig(i)) THEN
              n10mout(i,1)=n10mout(i,1)+1
@@ -656,5 +655,5 @@
              n10mout(i,5)=n10mout(i,5)+1
          ENDIF
-!
+
          IF(ok_t10m_toosmall(i).OR.ok_t10m_toobig(i).OR. &
    ok_q10m_toosmall(i).OR.ok_q10m_toobig(i).OR. &
@@ -669,11 +668,11 @@
              temp(i) = te_zref(i) * (psol(i)/pref_new(i))**(-RKAPPA)
          ENDIF 
-!
+
        ENDDO
-!
+
 ! Iteration of the variables at the reference level zref : corrector calculation ; see Hess & McAvaney, 1995 
-!
+
       DO n = 1, niter
-!
+
         okri=.TRUE.
         CALL screencn(klon, knon, nsrf, zxli, &
@@ -684,5 +683,5 @@
                      pref, delm, delh, ri10m, &
                      s_pblh, prain, tsol, pat1      )
-!
+
         DO i = 1, knon
           u_zref(i) = delm(i)*speed(i)
@@ -690,10 +689,10 @@
              max(qsurf(i),0.0)*(1-delh(i))
           te_zref(i) = delh(i)*tpot(i) + ts1(i)*(1-delh(i))
-!
+
 ! return to normal temperature
           temp(i) = te_zref(i) * (psol(i)/pref(i))**(-RKAPPA)
-!
+
 ! compteurs ici
-!
+
           ok_t10m_toosmall(i)=te_zref(i)<tpot(i).AND. &
    te_zref(i)<ts1(i)
@@ -705,5 +704,5 @@
    q_zref(i)>qsurf(i)
           ok_u10m_toobig(i)=u_zref(i)>speed(i)
-!
+
           IF(ok_t10m_toosmall(i).OR.ok_t10m_toobig(i)) THEN
               n10mout(i,2)=n10mout(i,2)+1
@@ -715,5 +714,5 @@
               n10mout(i,6)=n10mout(i,6)+1
           ENDIF
-!
+
           IF(ok_t10m_toosmall(i).OR.ok_t10m_toobig(i).OR. &
    ok_q10m_toosmall(i).OR.ok_q10m_toobig(i).OR. &
@@ -727,29 +726,29 @@
               temp(i) = te_zref(i) * (psol(i)/pref(i))**(-RKAPPA)
           ENDIF
-!
-!
+
+
           IF(n==ncon) THEN
             te_zref_con(i) = te_zref(i)
             q_zref_con(i) = q_zref(i)
           ENDIF 
-!
+
         ENDDO 
-!
+
       ENDDO 
-!
+
       DO i = 1, knon
         q_zref_c(i) = q_zref(i)
         temp_c(i) = temp(i)
-!
+
         ok_pred(i)=0.
         ok_corr(i)=1.
-!
+
         t_10m(i) = temp_p(i) * ok_pred(i) + temp_c(i) * ok_corr(i)
         q_10m(i) = q_zref_p(i) * ok_pred(i) + q_zref_c(i) * ok_corr(i)
-!
+
         u_zref_c(i) = u_zref(i)
         u_10m(i) = u_zref_p(i) * ok_pred(i) + u_zref_c(i) * ok_corr(i)
       ENDDO
-!
+
       RETURN
       END subroutine stdlevvarn
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stratocu_if.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stratocu_if.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stratocu_if.F90	(revision 5099)
@@ -10,5 +10,5 @@
 ! ou une forte inversion est presente
 ! On peut dire qu'il represente la convection peu profonde
-!
+
 ! Arguments:
 ! klon-----input-I- nombre de points a traiter
@@ -16,10 +16,10 @@
 ! pplay----input-R- pression au milieu de chaque couche (en Pa)
 ! t--------input-R- temperature (K)
-!
+
 ! weak_inversion-----logical
 !======================================================================
-!
+
 ! Arguments:
-!
+
     INTEGER, INTENT(IN)                       :: klon,klev
     REAL, DIMENSION(klon, klev+1), INTENT(IN) ::  paprs
@@ -29,13 +29,12 @@
     
     REAL, DIMENSION(klon), INTENT(OUT)  :: weak_inversion
-!
+
 ! Quelques constantes et options:
-!
+
     REAL seuil_inversion ! au-dela l'inversion est consideree trop faible
 !    PARAMETER (seuil=-0.1)
 
-!
 ! Variables locales:
-!
+
     INTEGER i, k, invb(klon)
     REAL zl2(klon)
@@ -44,7 +43,5 @@
     INCLUDE "YOMCST.h"
 
-!
 ! Chercher la zone d'inversion forte
-!
 
     DO i = 1, klon
@@ -65,8 +62,6 @@
     ENDDO
 
+! Introduire une diffusion:
 
-!
-! Introduire une diffusion:
-!
     DO i = 1, klon
        IF ( (pctsrf(i,is_oce) < 0.5) .OR. &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/stratosphere_mask.F90	(revision 5099)
@@ -1,11 +1,11 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE stratosphere_mask(missing_val, pphis, t_seri, pplay, xlat)
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!
+
 ! determination of tropopause height and temperature from gridded temperature data
-!
+
 ! reference: Reichler, T., M. Dameris, and R. Sausen (GRL, 10.1029/2003GL018240, 2003)
 ! modified: 6/28/06 tjr
@@ -13,5 +13,5 @@
 ! committed to LMDz by O. Boucher (2016) with a mistake 
 ! mistake corrected by O. Boucher (2017-12-11)
-!
+
 ! input:  temp(nlon,nlat,nlev)  3D-temperature field 
 !         ps(nlon,nlat)         2D-surface pressure field
@@ -23,5 +23,5 @@
 !         pliml                 lower limit for tropopause pressure 
 !         gamma                 tropopause criterion, e.g. -0.002 K/m
-!
+
 ! output: p_tropopause(klon)    tropopause pressure in Pa with missing values
 !         t_tropopause(klon)    tropopause temperature in K with missing values
@@ -29,5 +29,5 @@
 !         stratomask            stratospheric mask withtout missing values
 !         ifil                  # of undetermined values
-!
+
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
 
@@ -83,7 +83,7 @@
   ENDIF
   ENDDO
-!
+
 ENDIF
-!
+
 DO i=1, klon
 DO k=1, klev
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_bucket_mod.F90	(revision 5099)
@@ -1,9 +1,9 @@
-!
+
 MODULE surf_land_bucket_mod
-!
+
 ! Surface land bucket module
-!
+
 ! This module is used when no external land model is choosen.
-!
+
   IMPLICIT NONE
 
@@ -46,5 +46,5 @@
 !****************************************************************************************
 ! Bucket calculations for surface. 
-!
+
     INCLUDE "clesphys.h"
     INCLUDE "dimsoil.h"
@@ -121,5 +121,5 @@
     REAL :: coeff_rel_diag
 #endif 
-!
+
 !****************************************************************************************
 
@@ -148,13 +148,11 @@
 #endif
 
-!
 !* Read from limit.nc : albedo(alb_lim), length of rugosity(z0_new)
-!
+
     CALL limit_read_rug_alb(itime, dtime, jour,&
          knon, knindex, &
          z0_new, alb_lim)
-!
+
 !* Calcultaion of fluxes 
-!
 
 ! calculate total absorbed radiance at surface
@@ -234,7 +232,7 @@
 #endif    
 #endif    
-!
+
 !* Calculate snow height, run_off, age of snow
-!      
+
     CALL fonte_neige( knon, is_ter, knindex, dtime, &
          tsurf, precip_rain, precip_snow, &
@@ -299,7 +297,6 @@
 #endif
 
-!
 !* Calculate the age of snow
-!
+
     CALL albsno(klon,knon,dtime,agesno(:),alb_neig(:), precip_snow(:))  
     
@@ -311,16 +308,14 @@
     END DO
 
-!
 !* Return albedo : 
 !    alb1_new and alb2_new are here given the same values
-!
+
     alb1_new(:) = 0.0
     alb2_new(:) = 0.0
     alb1_new(1:knon) = alb_lim(1:knon)
     alb2_new(1:knon) = alb_lim(1:knon)
-       
-!
+
 !* Calculate the rugosity
-!
+
     DO i = 1, knon
        z0_new(i) = MAX(1.5e-05,SQRT(z0_new(i)**2 + rugoro(i)**2))
@@ -337,10 +332,9 @@
     ENDIF
 
-!
 !* End
-!
+
   END SUBROUTINE surf_land_bucket
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
 END MODULE surf_land_bucket_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_mod.F90	(revision 5099)
@@ -1,3 +1,3 @@
-!
+
 MODULE surf_land_mod
 
@@ -5,7 +5,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land(itime, dtime, date0, jour, knon, knindex, &
        rlon, rlat, yrmu0, &
@@ -202,10 +202,10 @@
 !**************************************************************************************** 
 ! Choice between call to vegetation model (ok_veget=true) or simple calculation below
-!
+
 !****************************************************************************************
    IF (ok_veget) THEN
 !****************************************************************************************
 !  Call model sechiba in model ORCHIDEE
-!
+
 !****************************************************************************************
        p1lay_tmp(:)      = 0.0
@@ -213,14 +213,14 @@
        p1lay_tmp(1:knon) = p1lay(1:knon)/100.
        pref_tmp(1:knon)  = pref(1:knon)/100.
-! 
+
 !* Calculate incoming flux for SW and LW interval: swdown
-!
+
        swdown(:) = 0.0
        DO i = 1, knon
           swdown(i) = swnet(i)/(1-albedo(i))
        END DO
-!
+
 !* Calculate potential air temperature
-!
+
        epot_air(:) = 0.0
        DO i = 1, knon
@@ -259,7 +259,7 @@
 #endif
 #endif
-!  
+
 !* Add contribution of relief to surface roughness
-!  
+
        DO i=1,knon
           z0m(i) = MAX(1.5e-05,SQRT(z0m(i)**2 + rugoro(i)**2))
@@ -269,5 +269,5 @@
 !****************************************************************************************
 ! No extern vegetation model choosen, call simple bucket calculations instead.
-!
+
 !****************************************************************************************
 #ifdef ISO
@@ -430,9 +430,7 @@
 #endif
 
-!
-!****************************************************************************************
-!  
+!****************************************************************************************
+
 END MODULE surf_land_mod
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/surf_land_orchidee_mod.F90	(revision 5099)
@@ -1,3 +1,3 @@
-!
+
 MODULE surf_land_orchidee_mod
 #ifndef ORCHIDEE_NOOPENMP
@@ -6,12 +6,12 @@
 #ifndef ORCHIDEE_NOUNSTRUCT
 #ifndef ORCHIDEE_NOLIC
-!
+
 ! This module controles the interface towards the model ORCHIDEE.
-!
+
 ! Compatibility with ORCHIDIEE :
 ! The current version can be used with ORCHIDEE/trunk from revision 7757. 
 ! This interface is used if none of the cpp keys ORCHIDEE_NOOPENMP, 
 ! ORCHIDEE_NOZ0H, ORCHIDEE_NOFREIN or ORCHIDEE_NOLIC is set.
-!
+
 ! Subroutines in this module : surf_land_orchidee
 !                              Init_orchidee_index
@@ -37,7 +37,7 @@
 
 CONTAINS
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
+
   SUBROUTINE surf_land_orchidee(itime, dtime, date0, knon, &
        knindex, rlon, rlat, yrmu0, pctsrf, &
@@ -61,10 +61,10 @@
     USE time_phylmdz_mod, ONLY: itau_phy 
 #endif
-!    
+
 ! Cette routine sert d'interface entre le modele atmospherique et le 
 ! modele de sol continental. Appel a sechiba
-!
+
 ! L. Fairhead 02/2000
-!
+
 ! input:
 !   itime        numero du pas de temps
@@ -99,5 +99,5 @@
 !   ps           pression au sol
 !   radsol       rayonnement net aus sol (LW + SW)
-!
+
 ! output:
 !   evap         evaporation totale
@@ -112,8 +112,8 @@
 !   z0h_new      surface roughness for heat
 !   qsurf        air moisture at surface
-!
+
     INCLUDE "YOMCST.h"
     INCLUDE "dimpft.h"
-!
+
 ! Parametres d'entree
 !****************************************************************************************
@@ -235,5 +235,5 @@
     !$OMP THREADPRIVATE(ind_cell)
     INTEGER :: begin, end
-!
+
 ! Fin definition
 !****************************************************************************************
@@ -393,7 +393,7 @@
        
        ENDIF
-!
+
 ! Allouer et initialiser le tableau des voisins et des fraction de continents
-!
+
        IF (( .NOT. ALLOCATED(contfrac))) THEN
           ALLOCATE(contfrac(knon), stat = error)
@@ -434,7 +434,5 @@
  
        ENDIF
-         
-
-!
+
 !  Allocation et calcul resolutions
        IF ( (.NOT.ALLOCATED(resolution))) THEN
@@ -465,7 +463,7 @@
           CALL abort_physic(modname,abort_message,1)
        ENDIF
-!
+
 ! carbon_cycle_cpl not possible with this interface and version of ORHCHIDEE
-!
+
 ! >> PC
 !       IF (carbon_cycle_cpl) THEN
@@ -476,8 +474,7 @@
        
     ENDIF                          ! (fin debut) 
- 
-! 
+
 ! Appel a la routine sols continentaux
-!
+
     IF (lafin) lrestart_write = .TRUE.
     IF (check) WRITE(lunout,*)'lafin ',lafin,lrestart_write
@@ -617,5 +614,5 @@
 
 !* Send to coupler
-!
+
     IF (type_ocean=='couple') THEN
        CALL cpl_send_land_fields(itime, knon, knindex, &
@@ -656,7 +653,7 @@
     
   END SUBROUTINE surf_land_orchidee
-!
-!****************************************************************************************
-!
+
+!****************************************************************************************
+
   SUBROUTINE Init_orchidee_index(knon,knindex,offset,ktindex)
   USE mod_surf_para
@@ -695,7 +692,5 @@
   END SUBROUTINE Init_orchidee_index
 
-!
 !************************* ***************************************************************
-! 
 
   SUBROUTINE Get_orchidee_communicator(orch_comm, orch_mpi_size, orch_mpi_rank, orch_omp_size,orch_omp_rank)
@@ -710,5 +705,5 @@
     INTEGER             :: color
     INTEGER             :: i,ierr
-!
+
 ! End definition
 !****************************************************************************************
@@ -742,7 +737,6 @@
     
   END SUBROUTINE Get_orchidee_communicator
-!
-!****************************************************************************************
-!  
+
+!****************************************************************************************
 
   SUBROUTINE Init_neighbours(knon,neighbours,knindex,pctsrf)
@@ -773,5 +767,5 @@
     REAL, DIMENSION(klon_glo)            :: pctsrf_glo
     INTEGER                              :: ktindex(klon)
-!
+
 ! End definition
 !****************************************************************************************
@@ -785,5 +779,5 @@
       neighbours_glo(:,:)=-1
 !  Initialisation des offset    
-!
+
 ! offset bord ouest
        off_ini(1,1) = - nbp_lon   ; off_ini(2,1) = - nbp_lon + 1     ; off_ini(3,1) = 1
@@ -798,7 +792,7 @@
        off_ini(4,3) =  1          ; off_ini(5,3) = nbp_lon           ; off_ini(6,3) = nbp_lon - 1
        off_ini(7,3) = -1          ; off_ini(8,3) = - nbp_lon - 1
-!
+
 ! Attention aux poles
-!
+
        DO igrid = 1, knon_glo
           index = ktindex_glo(igrid)
@@ -845,7 +839,6 @@
   END SUBROUTINE Init_neighbours
 
-!
-!****************************************************************************************
-!
+!****************************************************************************************
+
 #endif
 #endif
